package cn.novalon.manage.common.exception;

import org.springframework.http.HttpStatus;

public class PermissionException extends BusinessException {

    public PermissionException(String errorCode, String message) {
        super(errorCode, message);
    }

    public PermissionException(String errorCode, String message, Throwable cause) {
        super(errorCode, message, cause);
    }

    @Override
    public HttpStatus getHttpStatus() {
        return HttpStatus.FORBIDDEN;
    }
}
